{
  "name": "lamp_dashboard",
  "version": "1.0.0",
  "author": "BIDMC Division of Digital Psychiatry",
  "description": "LAMP Dashboard",
  "private": true,
  "homepage": ".",
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@types/react-router-dom": "^5.3.3",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "eslint-config-prettier": "^8.3.0",
    "fs-extra": "10.1.0",
    "husky": "^4.2.5",
    "lint-staged": "^10.1.3",
    "prettier": "2.0.4",
    "react-scripts": "^5.0.1",
    "typescript": "^3.8.3"
  },
  "dependencies": {
    "@date-io/date-fns": "^1.3.13",
    "@emotion/react": "^11.9.0",
    "@emotion/styled": "^11.8.1",
    "@material-ui/core": "^4.12.4",
    "@material-ui/icons": "^4.11.3",
    "@material-ui/lab": "^4.0.0-alpha.61",
    "@material-ui/pickers": "^3.3.10",
    "@mui/material": "^5.0.0",
    "@rjsf/core": "^3.2.1",
    "@rjsf/material-ui": "^3.2.1",
    "classnames": "^2.3.1",
    "core-js": "^3.19.1",
    "date-fns": "^2.26.0",
    "eslint": "^7.29.0",
    "eslint-plugin-prettier": "^3.4.0",
    "file-saver": "^1.3.8",
    "i18next": "^19.8.3",
    "i18next-http-backend": "^1.3.1",
    "idb": "^6.1.5",
    "javascript-time-ago": "^2.3.10",
    "jsonata": "^1.8.4",
    "jsonexport": "^3.2.0",
    "jspdf": "^2.3.1",
    "lamp-core": "^2022.3.8",
    "material-icons": "^1.10.11",
    "monaco-editor": "^0.33.0",
    "notistack": "^2.0.5",
    "os": "^0.1.2",
    "patch-package": "^6.5.0",
    "qrcode.react": "^1.0.0",
    "react": "^17.0.0",
    "react-beautiful-dnd": "^13.1.0",
    "react-dnd": "^14.0.4",
    "react-dnd-html5-backend": "^14.0.2",
    "react-dom": "^17.0.0",
    "react-dropzone": "^10.1.8",
    "react-error-boundary": "^3.1.4",
    "react-i18next": "^11.16.9",
    "react-markdown": "^8.0.3",
    "react-monaco-editor": "^0.48.0",
    "react-router-dom": "^5.2.1",
    "react-vega": "^7.5.1",
    "remark-emoji": "^3.0.2",
    "remark-gfm": "^3.0.1",
    "stacktrace-js": "^2.0.2",
    "stream": "^0.0.2",
    "vega": "^5.22.1",
    "vega-embed": "^6.20.8",
    "vega-lite": "^5.2.0",
    "vega-tooltip": "^0.28.0"
  },
  "resolutions": {
    "nth-check": "2.0.1",
    "glob-parent": "5.1.2"
  },
  "scripts": {
    "preinstall": "npx npm-force-resolutions",
    "start": "node buildEnv prod && react-scripts start",
    "dev": "node buildEnv dev && react-scripts start",
    "app": "node buildEnv app && react-scripts start",
    "start-sw": "http-server -p 3000 ./build",
    "test": "echo \"no tests configured\"",
    "build": "node buildEnv prod && react-scripts build",
    "format": "prettier --write 'src/**/*.{js,jsx,ts,tsx,json,css,scss}'",
    "postinstall": "patch-package"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx,json,css,scss}": [
      "prettier --write"
    ]
  },
  "prettier": {
    "semi": false,
    "printWidth": 120
  },
  "eslintConfig": {
    "rules": {
      "prettier/prettier": [
        "off",
        {
          "singleQuote": true
        }
      ]
    },
    "parser": "@typescript-eslint/parser",
    "plugins": [
      "@typescript-eslint"
    ],
    "extends": [
      "plugin:prettier/recommended"
    ],
    "overrides": [
      {
        "files": [
          "**/*.ts?(x)"
        ],
        "rules": {
          "react-hooks/exhaustive-deps": "off"
        }
      }
    ]
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ]
}
